From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9834d1ab3836730cf3308603019b736d0a653013'>refs</a><a class='active' href='/guix/log/gnu/packages/lean.scm'>log</a><a href='/guix/tree/gnu/packages/lean.scm?id=9834d1ab3836730cf3308603019b736d0a653013'>tree</a><a href='/guix/commit/gnu/packages/lean.scm?id=9834d1ab3836730cf3308603019b736d0a653013'>commit</a><a href='/guix/diff/gnu/packages/lean.scm?id=9834d1ab3836730cf3308603019b736d0a653013'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/lean.scm'>
<input type='hidden' name='id' value='9834d1ab3836730cf3308603019b736d0a653013'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=9834d1ab3836730cf3308603019b736d0a653013'>root</a>/<a href='/guix/log/gnu?id=9834d1ab3836730cf3308603019b736d0a653013'>gnu</a>/<a href='/guix/log/gnu/packages?id=9834d1ab3836730cf3308603019b736d0a653013'>packages</a>/<a href='/guix/log/gnu/packages/lean.scm?id=9834d1ab3836730cf3308603019b736d0a653013'>lean.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/packages/lean.scm?id=9834d1ab3836730cf3308603019b736d0a653013&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2020-11-26 04:22:51 +0100'>2020-11-26</span></td><td><a href='/guix/commit/gnu/packages/lean.scm?id=1df6f0f085516da9787eb692952b5f680ac0a6d8'>gnu: lean: Trim synopsis.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/lean.scm (lean)[synopsis]: Remove article &amp; package name.
</span></span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2020-11-26 04:22:50 +0100'>2020-11-26</span></td><td><a href='/guix/commit/gnu/packages/lean.scm?id=b87051b74a4e529b459a6b1a86fd7cec187c70b2'>gnu: lean: Update to 3.23.0.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/lean.scm (lean): Update to 3.23.0.
</span></span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2020-07-19 20:24:00 -0500'>2020-07-19</span></td><td><a href='/guix/commit/gnu/packages/lean.scm?id=8bbc8accda7285acc346a14ea984862dc0f814c1'>gnu: lean: Disable test cases for i686 and armhf.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/lean.scm (lean)[arguments]: Individual test cases are currently
failing for 32-bit architectures. Disable them temporarily pending further
investigation as to resolution.
</span></span></td><td>Brett Gilio</td></tr>
<tr><td><span title='2020-07-19 02:29:31 -0500'>2020-07-19</span></td><td><a href='/guix/commit/gnu/packages/lean.scm?id=4deab59f5aed983dd6466603be8b6bb122c83e04'>gnu: lean: Update to 3.17.1.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/lean.scm (lean): Update to 3.17.1.
</span></span></td><td>Brett Gilio</td></tr>
